# $Revision: 1.105.4.9 $, $Date: 2006/10/01 21:35:23 $
#
# Conditional build:
%bcond_without	docs		# disable documentation building
#
Summary:	HAL - Hardware Abstraction Layer
Summary(pl):	HAL - abstrakcyjna warstwa dostpu do sprztu
Name:		hal
Version:	0.5.7.1
Release:	3
License:	AFL v2.0 or GPL v2
Group:		Libraries
Source0:	http://freedesktop.org/~david/dist/%{name}-%{version}.tar.gz
# Source0-md5:	d7a7741808ba130f8aff3f5d3b5689e4
Source1:	%{name}daemon.init
Source2:	%{name}d.sysconfig
Source3:	%{name}-device-manager.desktop
Source4:	%{name}-libgphoto2.fdi
Source5:	%{name}-libgphoto_udev.rules
Source6:	%{name}-storage-policy-fixed-drives.fdi
Patch0:		%{name}-device_manager.patch
Patch1:		%{name}-script_path.patch
Patch2:		%{name}-tools.patch
Patch3:		%{name}-is_mounted_read_only_property.patch
Patch4:		%{name}-samsung_yp_z5.patch
Patch5:		%{name}-suspend2.patch
URL:		http://freedesktop.org/Software/hal
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	dbus-glib-devel >= 0.60
%if %{with docs}
BuildRequires:	docbook-dtd412-xml
BuildRequires:	docbook-dtd41-sgml
BuildRequires:	docbook-utils
BuildRequires:	doxygen
%endif
BuildRequires:	expat-devel
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.6.0
BuildRequires:	intltool
BuildRequires:	libcap-devel
BuildRequires:	libselinux-devel >= 1.17.13
BuildRequires:	libtool
BuildRequires:	pciutils
BuildRequires:	pkgconfig
BuildRequires:	popt-devel
BuildRequires:	python-modules
BuildRequires:	rpmbuild(macros) >= 1.228
BuildRequires:	which
Requires(pre):	/usr/bin/getgid
Requires(pre):	/bin/id
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires(post,preun):	/sbin/chkconfig
%pyrequires_eq	python
Requires:	%{name}-libs = %{version}-%{release}
Requires:	dbus >= 0.60-4
Requires:	dmidecode
Requires:	glib2 >= 1:2.6.0
Requires:	python-dbus >= 0.60
Requires:	udev >= 1:079-2
Obsoletes:	hal-fstab-sync
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
HAL is an implementation of a hardware abstraction layer.

%description -l pl
HAL jest implementacj abstrakcyjnej warstwy dostpu do sprztu.

%package libs
Summary:	HAL library
Summary(pl):	Biblioteka HAL
Group:		Libraries
Requires:	dbus-libs >= 0.33

%description libs
HAL library.

%description libs -l pl
Biblioteka HAL.

%package devel
Summary:	Header files for HAL library
Summary(pl):	Pliki nagwkowe biblioteki HAL
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	dbus-devel >= 0.33

%description devel
Header files for HAL library.

%description devel -l pl
Pliki nagwkowe biblioteki HAL.

%package static
Summary:	Static HAL library
Summary(pl):	Statyczna biblioteka HAL
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static HAL library.

%description static -l pl
Statyczna biblioteka HAL.

%package device-manager
Summary:	HAL device manager for GNOME
Summary(pl):	Zarzdca urzdze HALa dla GNOME
Group:		X11/Applications
Requires:	python-gnome-ui
Requires:	python-gnome-vfs
Requires:	python-pygtk-glade
Requires:	%{name} = %{version}-%{release}

%description device-manager
GNOME program for displaying devices detected by HAL.

%description device-manager -l pl
Program dla GNOME wywietlajcy urzdzenia wykryte przez HAL.

%package gphoto
Summary:	Userspace support for digital cameras
Summary(pl):	Wsparcie dla kamer cyfrowych w przestrzeni uytkownika
Group:		Applications/System
Requires:	%{name} = %{version}-%{release}
Requires:	libusb >= 0.1.10-2
Requires:	udev >= 1:079-2
Obsoletes:	hotplug-digicam
Obsoletes:	udev-digicam
Provides:	udev-digicam

%description gphoto
Set of Udev rules and HAL device information file to handle digital
cameras in userspace.

%description gphoto -l pl
Zestaw regu Udev i plik z informacjami o urzdzeniach HALa do
obsugi kamer cyfrowych w przestrzeni uytkownika.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
%{__glib_gettextize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
	%{?with_docs:--enable-docbook-docs} \
	%{!?with_docs:--disable-docbook-docs} \
	%{?with_docs:--enable-doxygen-docs} \
	%{!?with_docs:--disable-doxygen-docs} \
	--enable-fstab-sync \
	--enable-pcmcia-support \
	--enable-selinux \
	--with-hwdata=%{_sysconfdir} \
	--with-pid-file=%{_localstatedir}/run/hald.pid
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version} \
	$RPM_BUILD_ROOT{/etc/{sysconfig,rc.d}/init.d,%{_desktopdir}} \
	$RPM_BUILD_ROOT/etc/hal/fdi/{information,policy,preprobe} \
	$RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install examples/volumed/*.py $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

find $RPM_BUILD_ROOT%{_datadir}/hal/device-manager -name "*.py" -exec rm -f {} \;

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/haldaemon
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/hald
install %{SOURCE3} $RPM_BUILD_ROOT%{_desktopdir}

# hal-gphoto
install %{SOURCE4} $RPM_BUILD_ROOT%{_datadir}/%{name}/fdi/information/10freedesktop/10-gphoto.fdi
install %{SOURCE5} $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d/gphoto.rules

# policy file to ignore fixed disks.
install %{SOURCE6} \
	$RPM_BUILD_ROOT%{_datadir}/%{name}/fdi/policy/10osvendor/99-storage-policy-fixed-drives.fdi

rm -rf $RPM_BUILD_ROOT%{_sysconfdir}/hotplug.d
rm -rf $RPM_BUILD_ROOT%{_libdir}/hal.hotplug
mv -f $RPM_BUILD_ROOT%{_datadir}/locale/sl{_SI,}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 126 -r -f haldaemon
%useradd -u 126 -r -d /usr/share/empty -s /bin/false -c "HAL daemon" -g haldaemon haldaemon

%post
/sbin/chkconfig --add haldaemon
%service haldaemon restart

%preun
if [ "$1" = "0" ]; then
	%service -q haldaemon stop
	/sbin/chkconfig --del haldaemon
fi

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig


%post gphoto
%service haldaemon restart
%banner %{name} -e << EOF
WARNING!
 hal-gphoto NO LONGER uses special "digicam" group.
 Please add yourself to more common "usb" group instead.

EOF

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README doc/TODO
%attr(755,root,root) %{_bindir}/hal-device
%attr(755,root,root) %{_bindir}/hal-find-by-capability
%attr(755,root,root) %{_bindir}/hal-find-by-property
%attr(755,root,root) %{_bindir}/hal-get-property
%attr(755,root,root) %{_bindir}/hal-set-property
%attr(755,root,root) %{_bindir}/lshal
%attr(755,root,root) %{_sbindir}/hald
%attr(755,root,root) %{_libdir}/hald-*
%attr(755,root,root) %{_libexecdir}/hal-*
%dir %{_libdir}/hal
%dir %{_libdir}/hal/scripts
%attr(755,root,root) %{_libdir}/hal/scripts/*

%dir %{_sysconfdir}/%{name}
%{_sysconfdir}/%{name}/fdi

%attr(754,root,root) /etc/rc.d/init.d/*
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/hald
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/dbus*/system.d/*
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/udev/rules.d/*

%dir %{_datadir}/%{name}
%{_datadir}/%{name}/fdi

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la

%dir %{_examplesdir}/%{name}-%{version}
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/*.py
%{_includedir}/%{name}
%{_pkgconfigdir}/*.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%files device-manager
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/hal-device-manager
%dir %{_datadir}/%{name}/device-manager
%{_datadir}/%{name}/device-manager/*.py[co]
%{_datadir}/%{name}/device-manager/*.png
%{_datadir}/%{name}/device-manager/*.glade
%{_desktopdir}/*.desktop

%files gphoto
%defattr(644,root,root,755)
%{_sysconfdir}/udev/rules.d/gphoto.rules
%{_datadir}/%{name}/fdi/information/10freedesktop/10-gphoto.fdi

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: hal.spec,v $
Revision 1.105.4.9  2006/10/01 21:35:23  glen
- rel 3

Revision 1.105.4.8  2006/09/09 01:23:48  glen
- rel 2 (rebuild with fixed %useradd/%groupadd macros)

Revision 1.105.4.7  2006/08/02 18:35:09  freetz
- 0.5.7.1, merged patches from HEAD

Revision 1.105.4.6  2006/06/01 19:41:30  freetz
- fixed changelog

Revision 1.105.4.5  2006/06/01 19:41:02  freetz
- added is_mounted_read_only_property.patch, rel.3
  (http://mail.gnome.org/archives/nautilus-list/2006-March/msg00045.html)

Revision 1.105.4.4  2006/05/24 17:34:14  baggins
- rel 2
- fixed status in init script

Revision 1.105.4.3  2006/05/14 22:34:36  baggins
- merged from HEAD

Revision 1.105.4.2  2006/04/23 23:00:34  glen
- lib64 fix, rel 5

Revision 1.105.4.1  2006/04/14 15:03:54  glen
- rel 4

Revision 1.108  2006/04/01 14:02:39  freetz
- post merge cleanup

Revision 1.107  2006/04/01 13:55:33  freetz
- merged from DEVEL

Revision 1.105.2.14  2006/03/13 13:48:12  freetz
- added tools patch, rel.1

Revision 1.105.2.13  2006/02/26 22:27:42  freetz
- removed invalid typo patch

Revision 1.105.2.12  2006/02/26 17:39:21  freetz
- fix a typo in storage policy (patch added)

Revision 1.105.2.11  2006/02/24 13:21:07  freetz
- started work on 0.5.7, removed obsoleted patches/sources, dropped
  fstab-sync (removed upstream)

Revision 1.105.2.10  2006/02/23 17:34:17  freetz
- fixed breakage introduces in my last commit, dropped storage-methods
  rel.6

Revision 1.105.2.9  2006/02/19 21:12:51  freetz
- rel.6, require fixed dbus, unify udev requirement

Revision 1.105.2.8  2006/02/19 15:19:31  freetz
- added fixed drives storage policy file

Revision 1.105.2.7  2006/02/18 22:21:53  freetz
- provide virtual storage-methods package, small cleanup

Revision 1.105.2.6  2006/02/18 18:15:36  freetz
- fixed https://bugs.freedesktop.org/show_bug.cgi?id=5655 rel.5

Revision 1.105.2.5  2006/02/13 14:05:01  freetz
- added eject_audiocd.patch, rel.3

Revision 1.105.2.4  2006/02/02 22:35:39  freetz
- place scripts in sbindir

Revision 1.105.2.3  2006/02/02 17:24:24  freetz
- rel.2 (fixed init scripts)

Revision 1.105.2.2  2006/01/18 20:57:33  freetz
- install scripts in FHS compatibile location, drop hal.hotplug, disable
  fstab-sync

Revision 1.105.2.1  2006/01/17 21:34:52  patrys
- up to 0.5.6
- NFY - fstab-sync tries to access /etc
Revision 1.106  2006/02/05 11:45:29  freetz
- fixed hal udev rule on amd64, rel.4

Revision 1.105  2006/01/12 22:05:18  freetz
- rel.3

Revision 1.104  2006/01/11 00:07:39  freetz
- saving work: restart haldaemon to refresh configuration after new fdi is
  added, banner added

Revision 1.103  2006/01/10 23:33:36  freetz
- as suggested by udev maintainer digital cameras should be handled here
  added hal-gphoto subpkg, work in progress

Revision 1.102  2006/01/07 01:52:00  freetz
- rel.2 for fixed pld-policy patch

Revision 1.101  2005/11/27 15:28:31  freetz
- removed duplicated files

Revision 1.100  2005/11/15 13:34:58  freetz
- 0.5.5.1

Revision 1.99  2005/11/14 20:03:17  freetz
- next pretty cool release: 0.5.5, require udev-071

Revision 1.98  2005/11/08 13:55:46  freetz
- rel.8 (fixed hal.rules - stop spamming logs when DEVNAME or SEQNUM is not
  set)

Revision 1.97  2005/10/28 15:18:05  ankry
- Slovenian locale fix, rel. 7

Revision 1.96  2005/10/20 20:59:47  freetz
- rel.6

Revision 1.95  2005/10/19 16:58:00  freetz
- udev epoch in R:

Revision 1.94  2005/10/19 10:42:55  freetz
- dropped hotplug requirement, rel.5.2

Revision 1.93  2005/10/18 20:15:24  freetz
- dropped hotplug.d support, use udev rule instead, rel. 5.1

Revision 1.92  2005/10/13 18:34:38  freetz
- added powersave support, rel.5

Revision 1.91  2005/09/18 18:09:54  arekm
- rel 4

Revision 1.90  2005/09/17 19:26:16  freetz
- more BRs

Revision 1.89  2005/09/17 19:22:04  freetz
- disabled verbose mode (works pretty well, not needed anymore)

Revision 1.88  2005/09/17 16:05:47  freetz
- rel.3, for rebuild with polished pld policy patch

Revision 1.87  2005/09/13 15:44:49  freetz
- rel.2 for rebuild with updated pld policy, TODO added

Revision 1.86  2005/09/04 13:34:56  freetz
- typo

Revision 1.85  2005/09/04 13:31:04  freetz
- back to less PITA fstab-sync solution, forced working udev version
  (068-1), rel.1 (yes it works now)

Revision 1.84  2005/09/03 20:27:23  tommat
- added BR: gettext-devel

Revision 1.83  2005/08/27 21:30:56  paladine
- merged from DEVEL and updated to final 0.5.4
- changed and uncommented pld_policy patch
- sorted %%configure options
- dropped fstab-sync support again (back to pmount)

Revision 1.82  2005/08/24 11:02:29  paladine
- changed pid file
- commentedout pld_policy patch

Revision 1.81  2005/08/23 14:58:25  paladine
- added missing commit log

Revision 1.80  2005/08/23 14:35:15  paladine
- back to fstab-sync
- enable verbose-mode

Revision 1.79  2005/08/07 19:52:44  freetz
- changelog typo

Revision 1.78  2005/08/07 19:46:24  freetz
- policy patch added, rel.3

Revision 1.77  2005/08/07 18:53:00  freetz
- rel.2 for fixed init script

Revision 1.76  2005/08/04 17:23:30  freetz
- dropped fstab-sync support (we got pmount now), fixed %%files, added
  missing hal.hotplug symlink (yeah, it works now like a charm), cleanup,
  dropped mount-options patch (not needed anymore), rel.1

Revision 1.75.2.4  2005/08/27 08:07:45  aredridel
- prevent docs building with --without docs

Revision 1.75.2.3  2005/08/03 17:29:36  wiget
- don't duplicate %{_datadir}/%{name}/device-manger

Revision 1.75.2.2  2005/08/03 10:26:38  freetz
- cosmetics

Revision 1.75.2.1  2005/08/02 22:08:47  freetz
- for brave ones: 0.5.4 20050801 snap, fstab-sync bconded (we don't need it
  anymore - obsoleted by pmount), more pldize macros

Revision 1.75  2005/08/02 15:54:12  saq
- reqs from NEWS

Revision 1.74  2005/08/02 11:50:08  glen
- %service req rpmmacros 1.228

Revision 1.73  2005/08/01 17:47:27  freetz
- cleaned up outdated configure parameters, use new service macros,
  fstab-sync broken (dbus communication problem?), NOT ready for new udev
  madness

Revision 1.72  2005/07/16 18:31:54  freetz
- unpackaged files added

Revision 1.71  2005/07/13 18:23:47  wrobell
- ver. 0.5.3

Revision 1.70  2005/07/03 20:35:43  speedy
- hal-device-manager Req: python-gnome-vfs

Revision 1.69  2005/07/02 20:54:30  freetz
- post release fixups

Revision 1.68  2005/05/21 20:21:27  qboosh
- missing dir

Revision 1.67  2005/05/21 20:14:05  wrobell
- hal scans in /etc/hal/fdi, let's make it happy (and admins too)

Revision 1.66  2005/05/19 17:49:26  wrobell
- rel. 0.2

Revision 1.65  2005/05/19 15:03:39  pluto
- merged from devel (updated to 0.5.2).
- BR(libusb-devel) added.
- release 0.1.

Revision 1.64  2005/05/18 09:50:28  freetz
- disabled verbose mode (not really needed for stable branch)

Revision 1.63  2005/05/18 00:00:04  wrobell
- ver. 0.4.8

Revision 1.62  2005/05/11 00:56:00  pluto
- release 5 for Th.

Revision 1.61  2005/05/01 17:31:30  glen
- use %useradd/%groupadd macros

Revision 1.60  2005/04/12 19:23:21  freetz
- reversed ldconfig changes

Revision 1.59  2005/04/07 18:50:59  paszczus
- tab

Revision 1.58  2005/04/07 18:49:52  paszczus
- adaptarized

Revision 1.57  2005/04/07 18:43:17  freetz
- rel.4, new rpm macros, sysfs-carrier enabled (kernel >= 2.6.10!), removed
  obsolete readme

Revision 1.56  2005/03/24 22:59:53  wrobell
- relaxing dbus dependencies (0.5.0 requires dbus 0.31, 0.4.7 does not compile
  with dbus 0.31)

Revision 1.55  2005/03/24 22:32:19  wrobell
- rel. 3 to build with dbus 0.31

Revision 1.54  2005/03/24 22:25:08  wrobell
- back to version 0.4.7 (0.5.0 on DEVEL branch, now)

Revision 1.53  2005/03/24 21:23:19  wrobell
- ver. 0.5.0

Revision 1.52  2005/03/07 22:24:00  qboosh
- added link patch, dropped unneeded popt dep in -devel
- unified subpackages order in spec (libs before devel)
- release 2

Revision 1.51  2005/03/05 20:16:52  arekm
- devel subpackage needs R: popt-devel

Revision 1.50  2005/01/25 14:04:01  krzak
- up to 0.4.7

Revision 1.49  2005/01/24 10:18:34  krzak
- up to 0.4.6

Revision 1.48  2005/01/17 08:23:17  krzak
- up to 0.4.5

Revision 1.47  2005/01/07 09:07:33  krzak
- up to 0.4.4

Revision 1.46  2005/01/04 10:01:19  krzak
- up to 0.4.3

Revision 1.45  2004/12/25 17:40:50  qboosh
- unified

Revision 1.44  2004/12/24 21:47:49  arekm
- rel 3

Revision 1.43  2004/12/10 16:43:10  krzak
- rel 2
- mount-options.patch : disable pamconsole,managed options in fstab because
  our mount will not use line with unknown options, and add "users" option

Revision 1.42  2004/12/02 19:38:57  freetz
- 0.4.2, 2.6.10 kernel ready, enabled pcmcia support by default, ready for
  STBR

Revision 1.41  2004/12/02 17:33:53  qboosh
- updated Source0 URL (but only 0.4.2 there)

Revision 1.40  2004/11/27 01:34:28  zbyniu
- BR: intltool, pkgconfig, python-modules, which

Revision 1.39  2004/11/27 00:30:02  freetz
- finally fixed H-D-M breakage (patch added)
- separated package for H-D-M (and GNOME deps ;)
- rel. 2, STBR

Revision 1.38  2004/11/14 21:31:42  havner
- rel up for rebuild

Revision 1.37  2004/11/08 19:09:05  jpc
- BR: popt-devel
- pyrequieres_eq must be in ALL packages with py[co] files or they will
  fail with a not obvious error message

Revision 1.36  2004/11/03 18:25:21  freetz
- small readme added

Revision 1.35  2004/11/03 18:13:04  freetz
- custom verbosity level, checking for messagebus implemented, rel. 0.2

Revision 1.34  2004/11/02 15:16:10  freetz
- 0.4.1, all patches already included, rel. 0.1

Revision 1.33  2004/11/02 14:21:03  freetz
- TODO enhanced

Revision 1.32  2004/11/02 14:07:41  freetz
- looks like our hald don't use udev at all! switched on more verbose mode

Revision 1.31  2004/10/31 17:33:30  freetz
- TODO updated

Revision 1.30  2004/10/31 17:30:56  freetz
- more fedora fixes, rel. 1.9

Revision 1.29  2004/10/18 17:22:11  havner
- rel 1

Revision 1.28  2004/10/18 13:31:27  freetz
- more fedora fixes, rel 0.2

Revision 1.27  2004/10/17 13:40:13  qboosh
- package fstab-sync(8) manual

Revision 1.26  2004/10/17 00:16:50  freetz
- TODO added

Revision 1.25  2004/10/17 00:12:38  freetz
- 0.4.0, %files update (incomplete)

Revision 1.24  2004/10/06 20:09:28  grzegol
- there is no need to restart messagebus daemon after hal
- run /sbin/ldconfig in %post/%postun of -libs subpackage
- rel. 7

Revision 1.23  2004/10/06 15:01:51  qboosh
- -devel R: -libs not base; release 6

Revision 1.22  2004/10/03 12:40:08  grzegol
- -devel R: dbus-devel
- rel. 5

Revision 1.21  2004/09/27 21:39:52  grzegol
- cosmetics

Revision 1.20  2004/09/27 21:04:28  aflinta
- fixed some BR: and R:, release 4

Revision 1.19  2004/09/27 19:43:59  aflinta
- splited libhal into separate subpackage hal-libs, release 3

Revision 1.18  2004/09/26 15:01:40  havner
- rel 2

Revision 1.17  2004/09/25 18:51:13  patrys
- R: python-pygtk-glade (failed to initialize glade without this one)

Revision 1.16  2004/09/22 20:07:16  aflinta
- up to verison 0.2.98

Revision 1.15  2004/09/22 16:48:22  aflinta
- added BR: libcap-devel

Revision 1.14  2004/09/22 15:58:26  grzegol
- don't pass --enable-mnt-noop to %configure
- rel. .2

Revision 1.13  2004/09/18 20:25:33  grzegol
- updated to 0.2.97-20040918 snap - gnome-volume-manager works at last
- removed fstab-update.sh (Source2) - it's already in tarball
- added --enable-fstab-sync --enable-mnt-noop --enable-selinux and
  --enable-hotplug-map to %configure

Revision 1.12  2004/08/28 23:14:40  grzegol
- updated to 0.2.97
- removed outdated docs_build patch

Revision 1.11  2004/07/27 22:38:09  grzegol
- updated to 0.2.95
- added fstab-update.sh script (for now only in %doc - you can copy it by
  hand to /etc/hal/device.d/ if you want)
- added hal-device-manager.desktop
- added docs_build patch (fix documentation building)

Revision 1.10  2004/07/22 19:31:27  grzegol
- added missing %{_sysconfdir}/%{name}/{capability.d,device.d,property.d} dirs
- added missing %{_sysconfdir}/dev.d/default/hal.dev symlink
- rel. 2

Revision 1.9  2004/07/18 22:38:21  grzegol
- updated to 0.2.94

Revision 1.8  2004/06/09 16:19:30  grzegol
- updated to 0.2.92

Revision 1.7  2004/06/01 20:04:53  grzegol
- updated to 0.2.91

Revision 1.6  2004/05/03 12:12:31  grzegol
- updated to 0.2.90
- removed outdated no_static patch

Revision 1.5  2004/04/09 15:46:24  grzegol
- updated to 0.2.6. There is only src.rpm on http://freedesktop.org/~david/dist

Revision 1.4  2004/03/22 07:02:39  ankry
- capitals are no-op in pl

Revision 1.3  2004/03/21 22:25:10  grzegol
- updated to 0.2.5
- added init script and haldaemon user/group
- strict internal deps

Revision 1.2  2004/01/31 21:06:10  grzegol
- 755 for %{_datadir}/hal/devicemanager/hal-device-manager
- removed *.py files (there are *.pyo and *.pyc files)
- R: python-dbus, python-gnome-ui
- rel. 2

Revision 1.1  2004/01/31 19:17:15  grzegol
- new
